Generation Framework

## org.eclipse.gmf.gmfgraph
Interface Figure

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, Layoutable, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  AbstractFigure, ConnectionFigure, CustomConnection, CustomDecoration, CustomFigure, DecorationFigure, Ellipse, FigureRef, Label, LabeledContainer, Polygon, PolygonDecoration, Polyline, PolylineConnection, PolylineDecoration, RealFigure, Rectangle, RoundedRectangle, ScalablePolygon, Shape, SVGFigure

All Known Implementing Classes:
  AbstractFigureImpl, CustomConnectionImpl, CustomDecorationImpl, CustomFigureImpl, EllipseImpl, FigureRefImpl, LabeledContainerImpl, LabelImpl, PolygonDecorationImpl, PolygonImpl, PolylineConnectionImpl, PolylineDecorationImpl, PolylineImpl, RealFigureImpl, RectangleImpl, RoundedRectangleImpl, ScalablePolygonImpl, ShapeImpl, SVGFigureImpl

    public interface Figure

extends Layoutable

A representation of the model object 'Figure'. Anything you could combine visual representation from. Ordinary GEF figures, custom-defined or references to defined elsewhere. org.eclipse.draw2d.Figure

The following features are supported:

- `Descriptor`
- `Foreground Color`
- `Background Color`
- `Maximum Size`
- `Minimum Size`
- `Preferred Size`
- `Font`
- `Insets`
- `Border`
- `Location`
- `Size`

See Also:
  `GMFGraphPackage.getFigure()`
** Generated **
Model:
  interface="true" abstract="true"

Method Summary
`Color` `getBackgroundColor()` Returns the value of the 'Background Color' containment reference
`Border` `getBorder()` Returns the value of the 'Border' containment reference
`FigureDescriptor` `getDescriptor()` Returns the value of the 'Descriptor' reference
`Font` `getFont()` Returns the value of the 'Font' containment reference
`Color` `getForegroundColor()` Returns the value of the 'Foreground Color' containment reference
`Insets` `getInsets()` Returns the value of the 'Insets' containment reference
`Point` `getLocation()` Returns the value of the 'Location' containment reference
`Dimension` `getMaximumSize()` Returns the value of the 'Maximum Size' containment reference
`Dimension` `getMinimumSize()` Returns the value of the 'Minimum Size' containment reference
`Dimension` `getPreferredSize()` Returns the value of the 'Preferred Size' containment reference
`Point` `getSize()` Returns the value of the 'Size' containment reference
`void` `setBackgroundColor(Color value)` Sets the value of the '`Background Color`' containment reference
`void` `setBorder(Border value)` Sets the value of the '`Border`' containment reference
`void` `setFont(Font value)` Sets the value of the '`Font`' containment reference
`void` `setForegroundColor(Color value)` Sets the value of the '`Foreground Color`' containment reference
`void` `setInsets(Insets value)` Sets the value of the '`Insets`' containment reference
`void` `setLocation(Point value)` Sets the value of the '`Location`' containment reference
`void` `setMaximumSize(Dimension value)` Sets the value of the '`Maximum Size`' containment reference
`void` `setMinimumSize(Dimension value)` Sets the value of the '`Minimum Size`' containment reference
`void` `setPreferredSize(Dimension value)` Sets the value of the '`Preferred Size`' containment reference
`void` `setSize(Point value)` Sets the value of the '`Size`' containment reference

Methods inherited from interface org.eclipse.gmf.gmfgraph.Layoutable
`getLayout, getLayoutData, setLayout, setLayoutData`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getDescriptor

    FigureDescriptor getDescriptor()

  Returns the value of the 'Descriptor' reference.

  If the meaning of the 'Descriptor' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Descriptor' reference.
  See Also:
    `GMFGraphPackage.getFigure_Descriptor()`
  ** Generated **
  Model:
    resolveProxies="false" transient="true" changeable="false" volatile="true" derived="true"

### getForegroundColor

    Color getForegroundColor()

  Returns the value of the 'Foreground Color' containment reference.

  If the meaning of the 'Foreground Color' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Foreground Color' containment reference.
  See Also:
    `setForegroundColor(Color)`, `GMFGraphPackage.getFigure_ForegroundColor()`
  ** Generated **
  Model:
    containment="true"

### setForegroundColor

    void setForegroundColor(Color value)

  Sets the value of the '`Foreground Color`' containment reference.

  Parameters:
    `value` - the new value of the 'Foreground Color' containment reference.
  See Also:
    `getForegroundColor()`
  ** Generated **

### getBackgroundColor

    Color getBackgroundColor()

  Returns the value of the 'Background Color' containment reference.

  If the meaning of the 'Background Color' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Background Color' containment reference.
  See Also:
    `setBackgroundColor(Color)`, `GMFGraphPackage.getFigure_BackgroundColor()`
  ** Generated **
  Model:
    containment="true"

### setBackgroundColor

    void setBackgroundColor(Color value)

  Sets the value of the '`Background Color`' containment reference.

  Parameters:
    `value` - the new value of the 'Background Color' containment reference.
  See Also:
    `getBackgroundColor()`
  ** Generated **

### getMaximumSize

    Dimension getMaximumSize()

  Returns the value of the 'Maximum Size' containment reference.

  If the meaning of the 'Maximum Size' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Maximum Size' containment reference.
  See Also:
    `setMaximumSize(Dimension)`, `GMFGraphPackage.getFigure_MaximumSize()`
  ** Generated **
  Model:
    containment="true"

### setMaximumSize

    void setMaximumSize(Dimension value)

  Sets the value of the '`Maximum Size`' containment reference.

  Parameters:
    `value` - the new value of the 'Maximum Size' containment reference.
  See Also:
    `getMaximumSize()`
  ** Generated **

### getMinimumSize

    Dimension getMinimumSize()

  Returns the value of the 'Minimum Size' containment reference.

  If the meaning of the 'Minimum Size' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Minimum Size' containment reference.
  See Also:
    `setMinimumSize(Dimension)`, `GMFGraphPackage.getFigure_MinimumSize()`
  ** Generated **
  Model:
    containment="true"

### setMinimumSize

    void setMinimumSize(Dimension value)

  Sets the value of the '`Minimum Size`' containment reference.

  Parameters:
    `value` - the new value of the 'Minimum Size' containment reference.
  See Also:
    `getMinimumSize()`
  ** Generated **

### getPreferredSize

    Dimension getPreferredSize()

  Returns the value of the 'Preferred Size' containment reference.

  If the meaning of the 'Preferred Size' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Preferred Size' containment reference.
  See Also:
    `setPreferredSize(Dimension)`, `GMFGraphPackage.getFigure_PreferredSize()`
  ** Generated **
  Model:
    containment="true"

### setPreferredSize

    void setPreferredSize(Dimension value)

  Sets the value of the '`Preferred Size`' containment reference.

  Parameters:
    `value` - the new value of the 'Preferred Size' containment reference.
  See Also:
    `getPreferredSize()`
  ** Generated **

### getFont

    Font getFont()

  Returns the value of the 'Font' containment reference.

  If the meaning of the 'Font' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Font' containment reference.
  See Also:
    `setFont(Font)`, `GMFGraphPackage.getFigure_Font()`
  ** Generated **
  Model:
    containment="true"

### setFont

    void setFont(Font value)

  Sets the value of the '`Font`' containment reference.

  Parameters:
    `value` - the new value of the 'Font' containment reference.
  See Also:
    `getFont()`
  ** Generated **

### getInsets

    Insets getInsets()

  Returns the value of the 'Insets' containment reference.

  If the meaning of the 'Insets' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Insets' containment reference.
  See Also:
    `setInsets(Insets)`, `GMFGraphPackage.getFigure_Insets()`
  ** Generated **
  Model:
    containment="true"

### setInsets

    void setInsets(Insets value)

  Sets the value of the '`Insets`' containment reference.

  Parameters:
    `value` - the new value of the 'Insets' containment reference.
  See Also:
    `getInsets()`
  ** Generated **

### getBorder

    Border getBorder()

  Returns the value of the 'Border' containment reference.

  If the meaning of the 'Border' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Border' containment reference.
  See Also:
    `setBorder(Border)`, `GMFGraphPackage.getFigure_Border()`
  ** Generated **
  Model:
    containment="true"

### setBorder

    void setBorder(Border value)

  Sets the value of the '`Border`' containment reference.

  Parameters:
    `value` - the new value of the 'Border' containment reference.
  See Also:
    `getBorder()`
  ** Generated **

### getLocation

    Point getLocation()

  Returns the value of the 'Location' containment reference.

  If the meaning of the 'Location' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Location' containment reference.
  See Also:
    `setLocation(Point)`, `GMFGraphPackage.getFigure_Location()`
  ** Generated **
  Model:
    containment="true"

### setLocation

    void setLocation(Point value)

  Sets the value of the '`Location`' containment reference.

  Parameters:
    `value` - the new value of the 'Location' containment reference.
  See Also:
    `getLocation()`
  ** Generated **

### getSize

    Point getSize()

  Returns the value of the 'Size' containment reference.

  If the meaning of the 'Size' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Size' containment reference.
  See Also:
    `setSize(Point)`, `GMFGraphPackage.getFigure_Size()`
  ** Generated **
  Model:
    containment="true"

### setSize

    void setSize(Point value)

  Sets the value of the '`Size`' containment reference.

  Parameters:
    `value` - the new value of the 'Size' containment reference.
  See Also:
    `getSize()`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.